jump to navigation

Accorgimento per compilare Amarok, K3B e altri

In Facili, o quasi :), Guide il 8/03/09 @ 18:54 2 commenti

Come segnalato in MessageBox (grazie, ma perché non ti firmi?), esiste un piccolo problema in Kdesvn-build che ostacola la compilazione di alcuni moduli quali Amarok e K3B in Extragear. Nell’attesa di un microaggiornamento di Kdesvn-build, per risolvere è sufficiente esportare questa varabile:

CMAKE_PREFIX_PATH=/opt/kde4

Ovviamente se non avete KDE in /opt/kde4, regolatevi. Potete inserire l’istruzione in ~/.bashrc o equivalenti, io ho preferito aggiungerla come penultima riga (l’ultima deve restare sempre “startkde”!) in /usr/local/bin/kdesvn-start. Se seguite la mia “KDE 4.2svn per Ubuntu Intrepid, in un paio d’ore ;)” è un buon posto. Poi bisogna riavviare KDE per avere la variabile disponibile e CMake funzionante ;)

 

KDE 4.2svn per Ubuntu Intrepid, in un paio d’ore ;)

In Avanzate, per Guru!, Facili, o quasi :), Guide il 18/11/08 @ 16:52 91 commenti

KDE 4.2svn Bart Simpson Nevermind - Pollycoke :)

Leggi il resto…

 

kdesvn-build 1.7, finalmente KDE 4 in italiano!

In News il 6/10/08 @ 0:58 34 commenti

KDE 4.2+svn Italiano - Pollycoke :)

Leggi il resto…

 

Amarok 2 richiede un MySQL tutto speciale [howto]

In Facili, o quasi :), Guide il 30/09/08 @ 16:17 48 commenti

12/12/2008: adesso uso mysql 5.1.30 e installo in /opt (come osserva Federico Moretti)

Amarok 2.0 svn - Pollycoke :)

Leggi il resto…

 

Se KDE 4 non compila…

In Facili, o quasi :), Guide il 25/09/08 @ 15:11 24 commenti

Flash: se seguendo la mia guida “KDE 4.1 per Ubuntu Hardy, in un paio di ore ;)” la vostra copia di KDE non compila, è quasi sicuramente perché di recente (ma nemmeno tanto) c’è stato un aggiornamento ufficiale del pacchetto kdesdk-scripts che ha sovrascritto il vostro /usr/bin/kdesvn-build. Dal momento che la versione generalmente installata è quella per KDE 3, non riesce a scaricare/compilare KDE 4.

Per tornare ad essere operativi basta ri-scaricare lo script e tornare a seguire la procedura indicata nel relativo paragrafo della guida. Magari per evitare che si ripeta una cosa del genere nella prossima versione della guida (per Ubuntu Ibex) sarà il caso di usare “dpkg –divert”1. Un’altra opzione potrebbe essere installare il pacchetto kdesdk-scripts-kde4 ;)

 

Nuovo kdesvn-build, piccole novità

In News il 29/06/08 @ 14:43 48 commenti

Come segnalato da un utente anonimo che ringrazio molto, è da pochissimo uscita la versione 1.6.1 di Kdesvn-build, lo script alla base della mia “KDE 4.1 per Ubuntu Hardy, in un paio di ore ;)“ e che ormai tutti dovreste aver provato almeno una volta ;)

In questa versione ci sono alcune piccole novità interessanti e correzioni di problemi con cmake che da soli varrebbero la pena di aggiornare immediatamente (Changelog). È stata inoltre introdotta la possibilità di installare esplicitamente la nuova versione 4.2 di Phonon, l’infrastruttura multimediale di KDE 4. Ho dovuto provare subito e… funziona tutto alla perfezione. Ho aggiornato dunque il file di configurazione .kdesvn-buildrc ottimizzato per la guida: ri-scaricate e ri-eseguite!

 

KDE 4.1 per Ubuntu Hardy, in un paio di ore ;)

In Avanzate, per Guru!, Facili, o quasi :), Guide il 13/06/08 @ 5:05 215 commenti

Aggiornamento 06/10/08: Adattato tutto a kdesvn-build 1.7: traduzione italiana ri-abilitata (scaricate nuovamente i kdesvn-buildrc!) e switch “–reconfigure” eliminato perché ormai inutile :)

KDE 4.1 Ubuntu Hardy - Pollycoke :)

Leggi il resto…